function  [x,y] = removeSameX(x,y)
    [au,ia,ic] = unique(x,'stable');
    Same = ones(size(x));
    Same(ia) = 0;
    if any(Same == 1)
        idxOfX = find(Same == 1);
        x(idxOfX) = [];
        y(idxOfX) = [];
    end
end